Retrieve content of StringToken
curl --request GET \
--url https://api.orchestrasolutions.com/StringTokens/{token} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.orchestrasolutions.com/StringTokens/{token}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.orchestrasolutions.com/StringTokens/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clearPayload": "<string>",
"token": "<string>",
"createTime": "2023-11-07T05:31:56Z"
}[
{
"fieldName": "<string>",
"errors": [
"<string>"
]
}
]String Tokens
Retrieve content of StringToken
This method allows you to retrieve the stored content of the StringToken.
GET
/
StringTokens
/
{token}
Retrieve content of StringToken
In scope of complianceIf you choose to use the StringToken to store card details (whether the card number (PAN), the CVV, or the full card details), when retrieving the data stored behind a token, your system is then exposed to the raw card details and as such is in scope of PCI compliance.The same applies to any other type of sensitive data. By retrieving the data, your system is then in scope of the relevant compliance.If you are unsure whether you should use this method, please reach out to our team and we would be happy to review your use case and explain your options.
Tokenization Guide
Complete guide with examples and PCI compliance considerations
Authorizations
Please enter ApiKey into field
Path Parameters
The token ID of the StringToken you would like to retrieve the content for
Pattern:
[A-Za-z0-9]{32}⌘I